USE [SSIS_DF_TEST]
GO


CREATE TABLE [dbo].[ETLswitchConfig](
	[ID] [int] NULL,
	[StagingFlowNr] [int] NULL,
	[ETLstart] [datetime] NULL,
	[ETLstop] [datetime] NULL,
	[ETLrunTime] [int] NULL,
	[SourceRecordsNumber] [int] NULL,
	[RecordsTransferred] [int] NULL,
	[ETLstatus] [varchar](20) NULL
) ON [PRIMARY]
GO

INSERT INTO [dbo].[ETLswitchConfig] (ID, StagingFlowNr) VALUES (1, 1)
GO


CREATE TABLE [dbo].[ETLswitchLog](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[StagingFlowNr] [int] NULL,
	[RecordsStaged] [int] NULL
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[SalesOrderDetailHist](
	[SalesOrderID] [int] NULL,
	[SalesOrderDetailID] [int] NULL,
	[CarrierTrackingNumber] [varchar](50) NULL,
	[OrderQty] [smallint] NULL,
	[ProductID] [int] NULL,
	[SpecialOfferID] [int] NULL,
	[UnitPrice] [money] NULL,
	[UnitPriceDiscount] [money] NULL,
	[LineTotal] [numeric](38, 6) NULL,
	[ModifiedDate] [datetime] NULL
) ON [PRIMARY]
GO

/****** Object:  Index [PK_SalesOrderDetailHist]    Script Date: 07/07/2019 11:53:49 ******/
CREATE NONCLUSTERED INDEX [PK_SalesOrderDetailHist] ON [dbo].[SalesOrderDetailHist]
(
	[SalesOrderDetailID] ASC
)
GO


SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[SalesOrderDetailStg1](
	[SalesOrderID] [int] NOT NULL,
	[SalesOrderDetailID] [int] NOT NULL,
	[CarrierTrackingNumber] [varchar](50) NULL,
	[OrderQty] [smallint] NOT NULL,
	[ProductID] [int] NOT NULL,
	[SpecialOfferID] [int] NOT NULL,
	[UnitPrice] [money] NOT NULL,
	[UnitPriceDiscount] [money] NOT NULL,
	[LineTotal] [numeric](38, 6) NOT NULL,
	[ModifiedDate] [datetime] NOT NULL,
	[X] [int] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[SalesOrderDetailStg2](
	[SalesOrderID] [int] NOT NULL,
	[SalesOrderDetailID] [int] NOT NULL,
	[CarrierTrackingNumber] [varchar](50) NULL,
	[OrderQty] [smallint] NOT NULL,
	[ProductID] [int] NOT NULL,
	[SpecialOfferID] [int] NOT NULL,
	[UnitPrice] [money] NOT NULL,
	[UnitPriceDiscount] [money] NOT NULL,
	[LineTotal] [numeric](38, 6) NOT NULL,
	[ModifiedDate] [datetime] NOT NULL,
	[X] [int] NULL
) ON [PRIMARY]
GO

